# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-testosterone
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           python-module-testosterone
Version:        0.4.1
Release:        alt1_7
Summary:        Text-based UI for running Python unit tests

Group:          Development/Python
License:        BSD

URL:            http://code.google.com/p/testosterone/
# was at http://www.zetadev.com/software/testosterone/

Source0:        http://www.zetadev.com/software/testosterone/0.4.1/testosterone-0.4.1.tgz

BuildArch:      noarch
BuildRequires:  python-devel
Source44: import.info

%description
Testosterone is a curses-based interface for running python tests written with
the PyUnit testing framework (aka unittest in the standard library).

%prep
%setup -q -n testosterone-%{version}


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_bindir}
install -m 755 bin/testosterone.py $RPM_BUILD_ROOT/%{_bindir}/testosterone

gzip -c -9 doc/testosterone.1 > testosterone.1.gz
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1/
install -m 444 testosterone.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/testosterone.1.gz

 
%files
%doc README
%{python_sitelibdir_noarch}/*
%{_bindir}/testosterone
%{_mandir}/man1/testosterone.1*

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_7
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_6
- initial fc import

